# Copyright (c) 2019-present eyeo GmbH
#
# This module is free software: "you" can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

# https://yamllint.readthedocs.io/en/stable/configuration.html
extends:
  "default"

# https://yamllint.readthedocs.io/en/stable/rules.html
rules:
  braces:
    level: "error"
    max-spaces-inside-empty: 0
    max-spaces-inside: 0
    min-spaces-inside-empty: 0
    min-spaces-inside: 0
  brackets:
    level: "error"
    max-spaces-inside-empty: 0
    max-spaces-inside: 0
    min-spaces-inside-empty: 0
    min-spaces-inside: 0
  colons:
    level: "error"
    max-spaces-after: 1
    max-spaces-before: 0
  commas:
    level: "error"
    max-spaces-after: 1
    max-spaces-before: 0
    min-spaces-after: 1
  comments:
    level: "error"
    ignore-shebangs: true
    min-spaces-from-content: 1
    require-starting-space: true
  comments-indentation:
    level: "error"
  document-end:
    level: "error"
    present: false
  document-start:
    level: "error"
    present: true
  empty-lines:
    level: "error"
    max-end: 0
    max-start: 0
    max: 1
  hyphens:
    level: "error"
    max-spaces-after: 1
  indentation:
    level: "error"
    check-multi-line-strings: false
    indent-sequences: true
    spaces: 2
  key-duplicates:
    level: "error"
  line-length:
    level: "error"
    allow-non-breakable-inline-mappings: true
    allow-non-breakable-words: true
    max: 80
  new-line-at-end-of-file:
    level: "error"
  new-lines:
    level: "error"
    type: "unix"
  octal-values:
    level: "error"
    forbid-explicit-octal: true
  quoted-strings:
    level: "error"
    quote-type: "double"
  trailing-spaces:
    level: "error"
  truthy:
    level: "error"
